const webpack = require("webpack");
const path = require("path");

let config = {
    mode: 'development',
    entry: [
        "./scripts/main.js",
        "./scripts/extlink.js",
        "./scss/styles.scss",

    ],
    
    output: {
        path: path.resolve(__dirname, "./dist/assets"),
        filename: "./bundle.js"
    },

    module: {
        rules: [
            {
                test: /\.scss$/i,
                use: [
                    {
                        loader: 'file-loader',
                        options: {
                            name: './css/bundle.css',
                        }
                    },
                    // Compile le Sass en CSS
                    "sass-loader"
                ],
            },
        ],
    }
}





module.exports = config;